{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Inscrivez-vous afin de profiter de toutes les fonctionnalités du site."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Inscription"/>
	<meta property="og:description" content="Inscrivez-vous afin de profiter de toutes les fonctionnalités du site."/>
{% endblock %}

{% block title %}Inscription
{% endblock %}

{% block body %}
<section class="container">

	<h1 class="title title--1 center">Inscription</h1>
	<h2 class="subtitle center">Déjà un compte ? Clique
		<a href="{{ path('app_login') }}">ici</a>
		!</h2>

	<form class="form registration" method="POST">
		<div class="form__row">
			{% include 'components/form/_group.html.twig' with {
				'size': 'third',
				'element': form.firstName
			}  %}

			{% include 'components/form/_group.html.twig' with {
				'size': 'third',
				'element': form.lastName
			}  %}

			{% include 'components/form/_group.html.twig' with {
				'size': 'third',
				'element': form.pseudo
			}  %}
		</div>
		<div class="form__row">
			{% include 'components/form/_group.html.twig' with {
				'size': 'full',
				'element': form.email
			}  %}
		</div>
		<div class="form__row">
			{% include 'components/form/_group.html.twig' with {
				'size': 'half',
				'element': form.plainPassword.first
			}  %}

			{% include 'components/form/_group.html.twig' with {
				'size': 'half',
				'element': form.plainPassword.second
			}  %}
		</div>

		<div class="form__row">
			<div class="form__group form__agree-terms">
				{{ form_widget(form.agreeTerms) }}
				<label for="registration_agreeTerms">
					Je reconnais avoir lu et compris les
					<a href="{{ path('app_terms_service') }}">CGU</a>
					ainsi que la
					<a href="{{ path('app_privacy_policy') }}">politique de confidentialité</a>
					et je les accepte
				</label>
			</div>
		</div>

		<div class="form__row end captcha">
			{% include 'components/form/_group.html.twig' with {
					'size': 'half',
					'element': form.captcha
				}  %}
		</div>

		<div class="form__group">
			{{ form_row(form._token) }}
		</div>

		<div class="form__submit">
			{% include 'components/_button.html.twig' with {
				'class': 'button button__primary',
				'type': 'submit',
				'path': null,
				'label': 'S\'inscrire'
			} %}
		</div>
	</form>
</section>
{% endblock %}
